package main

import (
	"os"
	"os/signal"
	"syscall"

  "git.metznet.ca/MetzNet/pnyx"
)


func main() {
  os_sigs := make(chan os.Signal, 1)
  signal.Notify(os_sigs, syscall.SIGINT, syscall.SIGABRT)

  channel_0, err := pnyx.NewChannel(map[pnyx.ModeID]pnyx.Mode{
    pnyx.MODE_RAW: pnyx.RawMode{},
    pnyx.MODE_AUDIO: pnyx.AudioMode{
      SampleRate: pnyx.SAMPLE_RATE_48KHZ,
    },
  })
  if err != nil {
    panic(err)
  }

  server, err := pnyx.NewServer(os.Args[1], nil, map[pnyx.ChannelID]*pnyx.Channel{
    0: channel_0,
  })
  if err != nil {
    panic(err)
  }

  <-os_sigs
  err = server.Stop()
  if err != nil {
    panic(err)
  }
}
